<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: CCTCursor Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d2/d1a/class_c_c_t_cursor.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">CCTCursor Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for CCTCursor:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d2/d1a/class_c_c_t_cursor.png" usemap="#CCTCursor_map" alt=""/>
  <map id="CCTCursor_map" name="CCTCursor_map">
<area href="../../de/d1e/class_c_c_t_base.html" alt="CCTBase" shape="rect" coords="0,0,76,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a77147e346347f9b7b5617eb0b37a1aff"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d1a/class_c_c_t_cursor.html#a77147e346347f9b7b5617eb0b37a1aff">CCTCursor</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> maximal_target_distance=<a class="el" href="../../da/d8a/class_u_a_max_distances.html#aef260d89bc0f791bc7c313cae73f8450">UAMaxDistances.DEFAULT</a>)</td></tr>
<tr class="separator:a77147e346347f9b7b5617eb0b37a1aff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a71299fa2cd25f29f468b5d1908ffa3b2"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d1a/class_c_c_t_cursor.html#a71299fa2cd25f29f468b5d1908ffa3b2">Can</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target)</td></tr>
<tr class="separator:a71299fa2cd25f29f468b5d1908ffa3b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a02c55a565eadebde064494f3a4c14cbc"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d1a/class_c_c_t_cursor.html#a02c55a565eadebde064494f3a4c14cbc">m_MaximalActionDistanceSq</a></td></tr>
<tr class="separator:a02c55a565eadebde064494f3a4c14cbc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad143ce91fd02a711bbd08652c577a1b3"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d1a/class_c_c_t_cursor.html#ad143ce91fd02a711bbd08652c577a1b3">HEIGHT_ERECT</a> = 1.6</td></tr>
<tr class="separator:ad143ce91fd02a711bbd08652c577a1b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9307523d926d858d24ce759385395808"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d1a/class_c_c_t_cursor.html#a9307523d926d858d24ce759385395808">HEIGHT_CROUCH</a> = 1.05</td></tr>
<tr class="separator:a9307523d926d858d24ce759385395808"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2c66789ca0e92effef7094756cde70f5"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d1a/class_c_c_t_cursor.html#a2c66789ca0e92effef7094756cde70f5">HEIGHT_PRONE</a> = 0.66</td></tr>
<tr class="separator:a2c66789ca0e92effef7094756cde70f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d0/dd9/_c_c_t_cursor_8c_source.html#l00001">1</a> of file <a class="el" href="../../d0/dd9/_c_c_t_cursor_8c_source.html">CCTCursor.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a77147e346347f9b7b5617eb0b37a1aff" name="a77147e346347f9b7b5617eb0b37a1aff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a77147e346347f9b7b5617eb0b37a1aff">&#9670;&#160;</a></span>CCTCursor()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void CCTCursor::CCTCursor </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>maximal_target_distance</em> = <code><a class="el" href="../../da/d8a/class_u_a_max_distances.html#aef260d89bc0f791bc7c313cae73f8450">UAMaxDistances.DEFAULT</a></code></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/dd9/_c_c_t_cursor_8c_source.html#l00010">10</a> of file <a class="el" href="../../d0/dd9/_c_c_t_cursor_8c_source.html">CCTCursor.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a71299fa2cd25f29f468b5d1908ffa3b2" name="a71299fa2cd25f29f468b5d1908ffa3b2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a71299fa2cd25f29f468b5d1908ffa3b2">&#9670;&#160;</a></span>Can()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> CCTCursor::Can </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a>&#160;</td>
          <td class="paramname"><em>target</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/dd9/_c_c_t_cursor_8c_source.html#l00015">15</a> of file <a class="el" href="../../d0/dd9/_c_c_t_cursor_8c_source.html">CCTCursor.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a9307523d926d858d24ce759385395808" name="a9307523d926d858d24ce759385395808"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9307523d926d858d24ce759385395808">&#9670;&#160;</a></span>HEIGHT_CROUCH</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d4/dc3/classfloat.html">float</a> CCTCursor::HEIGHT_CROUCH = 1.05</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/dd9/_c_c_t_cursor_8c_source.html#l00007">7</a> of file <a class="el" href="../../d0/dd9/_c_c_t_cursor_8c_source.html">CCTCursor.c</a>.</p>

</div>
</div>
<a id="ad143ce91fd02a711bbd08652c577a1b3" name="ad143ce91fd02a711bbd08652c577a1b3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad143ce91fd02a711bbd08652c577a1b3">&#9670;&#160;</a></span>HEIGHT_ERECT</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d4/dc3/classfloat.html">float</a> CCTCursor::HEIGHT_ERECT = 1.6</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/dd9/_c_c_t_cursor_8c_source.html#l00006">6</a> of file <a class="el" href="../../d0/dd9/_c_c_t_cursor_8c_source.html">CCTCursor.c</a>.</p>

</div>
</div>
<a id="a2c66789ca0e92effef7094756cde70f5" name="a2c66789ca0e92effef7094756cde70f5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2c66789ca0e92effef7094756cde70f5">&#9670;&#160;</a></span>HEIGHT_PRONE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d4/dc3/classfloat.html">float</a> CCTCursor::HEIGHT_PRONE = 0.66</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/dd9/_c_c_t_cursor_8c_source.html#l00008">8</a> of file <a class="el" href="../../d0/dd9/_c_c_t_cursor_8c_source.html">CCTCursor.c</a>.</p>

</div>
</div>
<a id="a02c55a565eadebde064494f3a4c14cbc" name="a02c55a565eadebde064494f3a4c14cbc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a02c55a565eadebde064494f3a4c14cbc">&#9670;&#160;</a></span>m_MaximalActionDistanceSq</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a> CCTCursor::m_MaximalActionDistanceSq</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/dd9/_c_c_t_cursor_8c_source.html#l00003">3</a> of file <a class="el" href="../../d0/dd9/_c_c_t_cursor_8c_source.html">CCTCursor.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/UserActionsComponent/TargetConditionsComponents/<a class="el" href="../../d0/dd9/_c_c_t_cursor_8c_source.html">CCTCursor.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d2/d1a/class_c_c_t_cursor.html">CCTCursor</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
